[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Lab2XYZFunctor Class Template Reference |
--- | --- | ---

Convert perceptual uniform CIE L*a*b* into standardized tri-stimulus XYZ. More...

`#include "vigra/colorconversions.hxx"`

## Public Types

typedef NumericTraits< T >::RealPromote | component_type
typedef TinyVector< T, 3 > | argument_type
typedef TinyVector< component_type, 3 > | result_type
typedef TinyVector< component_type, 3 > | value_type

## Public Methods

| Lab2XYZFunctor ()
template<class V> result_type | operator() (V const &lab) const

## Detailed Description

### template<class T>
class vigra::Lab2XYZFunctor< T >

Convert perceptual uniform CIE L*a*b* into standardized tri-stimulus XYZ.

#include "vigra/colorconversions.hxx"
Namespace: vigra

The functor realizes the inverse of the transformation described in vigra::XYZ2LabFunctor

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)``

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

| the functor's argument type

typedef NumericTraits<T>::RealPromote component_type

| the result's component type

typedef TinyVector<component_type, 3> result_type

| the functor's result type

typedef TinyVector<component_type, 3> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

Lab2XYZFunctor | ( |  | ) | `[inline]`

| the functor's value type

## Member Function Documentation

result_type operator() | ( | V const & | lab | ) | const`[inline]`

| apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)